// 使用 google API
google.load("visualization", "1", {packages:["bar"]});

// 設定網頁載入的時候呼叫 drawChart
google.setOnLoadCallback(drawChart);


function drawChart() {

	// 設定要顯示的資料
	var array = [
		['Year', 'Visitations'],
		['2011', 10],
		['2012', 14],
		['2013', 16],
		['2014', 22],
		['2015', 28]
	];
	
	// 將 array 資料轉成 DataTable
	var data = google.visualization.arrayToDataTable(array);
	
	// 利用 DataTable 建立圖表需要的 view
	var view = new google.visualization.DataView(data);
	var options = {
		// 將圖示隱藏
		legend: { position: "none" },
		// 設定圖表高度
		height: 500,
	};
	
	// 在 id 為 chart 的HTML元素建立一個 Bar chart 
	var chart = new google.charts.Bar(document.getElementById("chart"));
   
	// 將圖表畫出
	chart.draw(view, options);
}